PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List pipelines GETCreate a pipeline POSTGet a pipeline GETRename a pipeline PATCHDelete a pipeline DELETEList stages in a pipeline GETCreate a stage POSTUpdate a stage PATCHDelete a stage DELETE
Pipelines

Create a stage

POST
/pipelines/{pipelineId}/stages

Authorization

x-api-key<token>

In: header

Path Parameters

pipelineId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/pipelines/string/stages" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "OPEN"  }'
{  "data": {    "id": "string",    "pipelineId": "string",    "name": "string",    "color": "string",    "type": "OPEN",    "isNurture": true,    "rank": "string"  }}

List stages in a pipeline GET

Previous Page

Update a stage PATCH

Next Page

name*string
color?string
type*string

Value in

  • "OPEN"
  • "WON"
  • "LOST"
isNurture?boolean